package com.yc.ship.module.ota.enums;

import com.yc.ship.framework.common.core.IntArrayValuable;
import lombok.Getter;

import java.util.Arrays;


@Getter
public enum AuditStatusEnum implements IntArrayValuable {

    PENDING(0, "待审核"),
    APPROVED(1, "审核通过"),
    REJECT(2, "审核驳回");

    private final String name;
    private final Integer value;
    public static final int[] ARRAYS = Arrays.stream(values()).mapToInt(AuditStatusEnum::getValue).toArray();

    @Override
    public int[] array() {
        return ARRAYS;
    }

    AuditStatusEnum(Integer status, String name) {
        this.value = status;
        this.name = name;
    }
}